Security Enhanced Linux Reference Policy

# Layer: apps

## Module: qemu

Tunables Interfaces Templates

### Description:

QEMU machine emulator and virtualizer.

### Tunables:

qemu_full_network

##### Default value

false

##### Description

Determine whether qemu has full access to the network.

Return

### Interfaces:

qemu_delete_runtime_sock_files( domain )

##### Summary

Unlink qemu runtime sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qemu_domtrans( domain )

##### Summary

Execute a domain transition to run qemu.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

qemu_domtrans_unconfined( domain )

##### Summary

Execute a domain transition to run qemu unconfined.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

qemu_entry_type( domain )

##### Summary

Make qemu executable files an entrypoint for the specified domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain for which qemu_exec_t is an entrypoint.

qemu_exec( domain )

##### Summary

Execute a qemu in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qemu_kill( domain )

##### Summary

Send kill signals to qemu.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qemu_manage_tmp_dirs( domain )

##### Summary

Create, read, write, and delete qemu temporary directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qemu_manage_tmp_files( domain )

##### Summary

Create, read, write, and delete qemu temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qemu_read_state( domain )

##### Summary

Read qemu process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to allow access.

qemu_role( role , domain )

##### Summary

Role access for qemu.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

qemu_run( domain , role )

##### Summary

Execute qemu in the qemu domain, and allow the specified role the qemu domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

qemu_setsched( domain )

##### Summary

Set qemu scheduler.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qemu_signal( domain )

##### Summary

Send generic signals to qemu.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qemu_spec_domtrans( source_domain , target_domain )

##### Summary

Execute qemu in a specified domain.

##### Description

Execute qemu in a specified domain.

No interprocess communication (signals, pipes, etc.) is provided by this interface since the domains are not owned by this module.

##### Parameters

Parameter: | Description:
--- | ---
source_domain | Domain allowed to transition.
target_domain | Domain to transition to.

qemu_stream_connect( domain )

##### Summary

Connect to qemu with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

qemu_domain_template( domain_prefix )

##### Summary

The template to define a qemu domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return